DESC="Custom Configuration Command"

runtest()
{
  CONFIG_COMMAND="cat \"${TestDir}/test_10.in\""

  ConfigFile=test_10.config

  EXEC="${AGCC} -Dtest_10_file_3='\"a string\"' -v3 --gen_config  -o ${ConfigFile} --config_command \"${CONFIG_COMMAND}\""
  if  ( eval ${EXEC} );then true;else
    ERR_MSG="Failed executing '${EXEC}'"
    return 1
  fi


  if [ ! -f ${ConfigFile} ];then
    ERR_MSG="Puma Configuration File 'test10.config' was not generated"
    return 1
  fi

  if (  diff -w ${ConfigFile} "${TestDir}/test_10.ref" );then true;else
    ERR_MSG="Outputs differ: Configuration file not correctly generated"
    return 1
  fi
}


